%define svnrev svn1948

Name:           tkabber-plugins
Version:        0.11.1
Release:        6.%{svnrev}%{?dist}
Summary:        Additional plugins for tkabber

Group:          Applications/Internet
# most have BSD, some GPL and tkabber-khim is under TCL
License:        GPLv2 and BSD and TCL
URL:            http://tkabber.jabber.ru/
Source0:        %{name}-%{version}.tar.bz2
# for relase version:
#Source0:        http://files.jabber.ru/tkabber/%{name}-%{version}.tar.gz
# script to get tkabber from svn
Source1:        tkabber-plugins-snapshot.sh
# modify installation system for Fedora
Patch:          tkabber-plugins-0.11.1-install.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

Requires:       tkabber = %{version}


%description
%{summary}.

%prep
%setup -q
%patch -p1 -b .install


%build

# empty here

%install
rm -rf %{buildroot}

make install-bin DESTDIR=%{buildroot}

cp attline/license.terms license.BSD
cp tkabber-khim/tklib_licence.terms license.TCL

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README license.*
%{_datadir}/tkabber-plugins

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-6.svn1948
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-5.svn1948
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-4.svn1948
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Dmitrij S. Kryzhevich <krege@land.ru> - 0.11.1-3.svn1948
- Add license files to %%doc.

* Mon Dec 13 2010 Dmitrij S. Kryzhevich <krege@land.ru> - 0.11.1-2.svn1948
- License: GPLv2 and BSD and TCL.

* Fri Nov 05 2010 Dmitrij S. Kryzhevich <krege@land.ru> - 0.11.1-1.svn1948
- First build.